/**
 * 'fmt' and 'parse' utility object, input formatter classes.
 * @module data/input-formatter
 */
import type { TextInputSettings } from "./common";
/** Text format function, may be used to change case or limit charset. */
export interface TextFormatter {
    format: (val: string | string[]) => string;
    parse: (val: string) => string[] | string;
}
export declare class TextFmt implements TextFormatter {
    settings: TextInputSettings;
    constructor(settings?: TextInputSettings);
    private fixCase;
    /** Remove characters outside the specified charset (ascii, latin, euro, any */
    private filterCharset;
    formatStr(val: string): string;
    format(val: string[] | string): string;
    parse(val: string): string[] | string;
}
